solarOSsolarOS Docs

List active Work Types

Returns active platform and organization-scoped Work Types available for project-contained Work Order create. Required scope: work_orders:read.

GET
/work-types

Returns active platform and organization-scoped Work Types available for project-contained Work Order create. Required scope: work_orders:read.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/work-types"
{  "data": [    {}  ],  "meta": {    "nextCursor": "string",    "hasMore": true,    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}